#ifndef FASE_H_
#define FASE_H_
#include "Personagem.h"
#include "Player.h"
#include "GerenciadorMuro.h"
#include "GerenciadorSetas.h"

class Fase{
    private:
        Player *player1;
        Player *player2;
        GerenciadorMuro *gMuro;
        GerenciadorSetas *gSeta1;
        GerenciadorSetas *gSeta2;
        BITMAP *background;
        BITMAP *backMovel;
        BITMAP *chao;
        BITMAP *buffer;
        BITMAP *proximaFase;
        BITMAP *cobertura;
        bool gameOver;
        bool faseConcluida;
        int delay;
        int delay2;
        int posMovel;
        int jogadores;
        void moverCenario(int);
    public:
        Fase(BITMAP&, BITMAP&, int, int, Player&, Player&);
        ~Fase();
        void processar(bool);
        bool deuGameOver();
        bool passouFase();
        void terminarFase();
        void acelerarCenario(int);
};


#endif // FASE_H_INCLUDED
