#include "Muro.h"
#include <allegro.h>
#include <cstring>
#include <iostream>

Muro::Muro( BITMAP &bitmap, int x, int y, int velocidade, int delay) {

    this->coordX = x;
    this->coordY = y;
    this->sprite = &bitmap;
    this->velocidade = velocidade;
    this->delay = delay;
}

Muro::~Muro(){
	destroy_bitmap(sprite);
}

void Muro::desenhar( BITMAP &buffer ) {
    draw_sprite(&buffer, this->sprite, this->coordX, this->coordY );
}

void Muro::descer( int fase ) {
        
    	if(delay == 0)
        	this->coordY = coordY + velocidade;
        else{
        	this->coordY = coordY + (velocidade%(delay+1))/delay;
        	velocidade++;
        }
        
//        if( this->coordY >= 480) {
//
//            this->coordY = 1;
//            this->sprite = &bitmap;
//
//        } else {
//        	if(delay == 0)
//            	this->coordY = coordY + velocidade;
//            else{
//            	this->coordY = coordY + (velocidade%(delay+1))/delay;
//            	velocidade++;
//            }
//        }
}

void Muro::setVelocidade( int velocidade ) {
    this->velocidade = velocidade;
}

int Muro::getX() {
    return this->coordX;
}

int Muro::getY() {
    return this->coordY;
}

int Muro::getAltura() {
    return this->sprite->h;
}

int Muro::getLargura() {
    return this->sprite->w;
}

void Muro::setX( int x ) {
    this->coordX = x;
}

void Muro::setY( int y ) {
    this->coordY = y;
}

void Muro::setBitmap(BITMAP &bitmap) {
	this->sprite = &bitmap;
}
