#ifndef MURO_H_
#define MURO_H_
#include <allegro.h>


class Muro {

/*
        ___ ___ _                  _      _   ______    _____   ___ ___ _
       |___|___|_| | |\ \  / /| | | |    | | |  __  |  |  _  | |___|___|_|
       |_|___|___| | | \ \/ / | | | |    | | | |__| |  | | | | |_|___|___|
       |___|___|_| | |   \/   | | | |____| | | |  \ \  | |_| | |___|___|_|
       |_|___|___| |_|        |_| |________| |_|   \_\ |_____| |_|___|___|

*/

    private:
        BITMAP *sprite;
        int coordX;
        int coordY;
        int velocidade;
        int delay;

    public:
        Muro() {}
        Muro( BITMAP &bitmap, int x, int y, int velocidade, int delay );
        ~Muro();
        int getX();
        int getY();
        int getAltura();
        int getLargura();
        void setX( int x );
        void setY( int y );
        void desenhar( BITMAP &buffer );
        void descer( int fase );
        void setVelocidade( int velocidade );
        void setBitmap( BITMAP &bitmap );

};

#endif // MURO_H_INCLUDED
