#include "Abertura.h"
#include "allegro.h"


Abertura::Abertura()
{
    this->opcao = 0;
    this->posY = 300;
    this->help = false;
    this->btn_pressionado = false;
    this->instrucoes = load_bitmap("./abertura/instrucoes.bmp", NULL);
    this->help_back = load_bitmap("./abertura/back_help.bmp", NULL);
    this->back = load_bitmap("./abertura/back.bmp", NULL);
    this->clave = load_bitmap("./abertura/clave.bmp", NULL);
    this->menu[0] = load_bitmap("./abertura/caixa0.bmp", NULL);
    this->menu[1] = load_bitmap("./abertura/caixa1.bmp", NULL);
    this->menu[2] = load_bitmap("./abertura/caixa2.bmp", NULL);
    this->menu[3] = load_bitmap("./abertura/caixa3.bmp", NULL);

}

Abertura::~Abertura(){
	destroy_bitmap(instrucoes);
	destroy_bitmap(help_back);
	destroy_bitmap(back);
	destroy_bitmap(clave);
	for (int i = 0; i < 4; i++){
		destroy_bitmap(menu[i]);
	}
}

int Abertura::selecao(BITMAP *buffer, bool continuar)
{
    bool sair = continuar;
    while(sair == false)
    {

        if((key[KEY_UP]) && (this->opcao > 0) && !btn_pressionado)
        {
            this->posY -= 45;
            this->opcao -= 1;
        }
        if((key[KEY_DOWN]) && (this->opcao < 3) && !btn_pressionado)
        {
            this->posY += 45;
            this->opcao += 1;
        }
        if(key[KEY_ESC] && !btn_pressionado)
        {
            if(help)
            {
                help = false;

            }else{
                this->opcao = 3;
                sair = true;
            }
        }

        if(key[KEY_ENTER] && !btn_pressionado)
        {
            if(opcao == 2)
            {
                help = !help;
            }
            else
            {
               sair = true;
            }
        }
        if (key[KEY_UP] || key[KEY_DOWN] || key[KEY_ENTER] || key[KEY_ESC])
        {
            btn_pressionado = true;
        }
        else
        {
            btn_pressionado = false;
        }
        if(help == true)
        {
            draw_sprite(buffer, this->help_back,0,0);
            draw_sprite(buffer, this->instrucoes, 10, 200);
        }
         else
        {
            draw_sprite(buffer, this->back,0,0);
            draw_sprite(buffer, this->menu[opcao], 259, 300);
            draw_sprite(buffer, this->clave, 220, this->posY);
        }
         blit(buffer, screen,0,0,0,0,640,480);
         clear(buffer);
    }
    return this->opcao;
}
