#ifndef SETA_H_INCLUDED
#define SETA_H_INCLUDED
#include <allegro.h>

class Seta{
    private:
        BITMAP *img;
        int x;
        int y;
        int velocidade;
        int dir; //1, 2, 3 ou 4 (cima, baixo, esquerda e direita, respectivamente)
        char direcao;
    public:
        Seta(BITMAP &bitmap, int posX, int posY, int veloc, char direcao);
        Seta(){};
        ~Seta(){};
        int getX();
        int getY();
        void setX( int x );
        void setY( int y );
        void setBitmap( BITMAP &b );
        int getAltura();
        int getLargura();
        void setVelocidade(int veloc);
        void desenharNaTela(BITMAP &buffer);
        bool verificarColisao(BITMAP &buffer);
        void subir();
        char getDirecao();
        void setDirecao(char direcao);
        bool noLimite();
};
#endif // SETA_H_INCLUDED
